/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\shimering effusion\items\ShimmeringEffusionKey.cs
Lines of code: 72
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{

	public class ShimmeringEffusionKey : basepeerlesskey
	{
	
		[Constructable]
		public ShimmeringEffusionKey(Map map) : base("Shimmering Effusion","ShimmeringEffusion", new Point3D(6511,121,-20),new Point3D(6536,117,-20),map,	new Rectangle2D( new Point2D(6498,109), new Point2D( 6544,145 ) ) )
		{
		ItemID=7961;
		Hue= 1151;
		}
		
		[Constructable]
		public ShimmeringEffusionKey() : this(Map.Trammel)
		{
		}
		
		public ShimmeringEffusionKey( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
	
	
	public class ShimmeringEffusionKeyBagFel : peerlesskeybag
	{	
	
		[Constructable]
		public ShimmeringEffusionKeyBagFel() : base(new ShimmeringEffusionKey(Map.Felucca), 3,1,1)
		{		
		}	
	
		public ShimmeringEffusionKeyBagFel( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}	
	}	
	
	
	public class ShimmeringEffusionKeyBagTram : peerlesskeybag
	{	
	
		[Constructable]
		public ShimmeringEffusionKeyBagTram() : base(new ShimmeringEffusionKey(Map.Trammel), 3,1,1)
		{		
		}	
	
		public ShimmeringEffusionKeyBagTram( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}	
	}	
	
	
	
	

}